Page 3 of 3 FirstFirst 123
Results 21 to 27 of 27

Thread: Minitube 32-bit Install Issues

  1. #21
    Join Date
    May 2018
    Beans
    40

    Re: Minitube 32-bit Install Issues

    Quote Originally Posted by mc4man View Post
    Yes, but it's not installable from that ppa. I went down this road before, I did manage to get it installed eventually manually, even think I wrote-up on here how to do it.

    Code:
    $ sudo apt install nvidia-304
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     nvidia-304 : Depends: xorg-video-abi-11 but it is not installable or
                           xorg-video-abi-12 but it is not installable or
                           xorg-video-abi-13 but it is not installable or
                           xorg-video-abi-14 but it is not installable or
                           xorg-video-abi-15 but it is not installable or
                           xorg-video-abi-18 but it is not installable or
                           xorg-video-abi-19 but it is not installable or
                           xorg-video-abi-20 but it is not installable or
                           xorg-video-abi-23
                  Depends: xserver-xorg-core
                  Recommends: libcuda1-304 but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    Last edited by enigma9o7; September 13th, 2019 at 05:15 AM.

  2. #22
    Join Date
    Jun 2007
    Beans
    17,204

    Re: Minitube 32-bit Install Issues

    Quote Originally Posted by enigma9o7 View Post
    Yes, but it's not installable from that ppa. I went down this road before, I did manage to get it installed eventually manually, even think I wrote-up on here how to do it.

    Code:
    $ sudo apt install nvidia-304
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     nvidia-304 : Depends: xorg-video-abi-11 but it is not installable or
                           xorg-video-abi-12 but it is not installable or
                           xorg-video-abi-13 but it is not installable or
                           xorg-video-abi-14 but it is not installable or
                           xorg-video-abi-15 but it is not installable or
                           xorg-video-abi-18 but it is not installable or
                           xorg-video-abi-19 but it is not installable or
                           xorg-video-abi-20 but it is not installable or
                           xorg-video-abi-23
                  Depends: xserver-xorg-core
                  Recommends: libcuda1-304 but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    That does seem the case, the xorg-video-abi that 18.04 is now using (release or HWE) isn't supported. Not sure why they bother to still have in ppa..
    You may be able to use smtube, best from the smplayer ppa, benefits a little setup..

  3. #23
    Join Date
    May 2018
    Beans
    40

    Re: Minitube 32-bit Install Issues

    Yes, smtube does work as an alternative, spent time yesterday getting command lines I liked for the media players and works ok, can't make window size ideal for variety of video resolutions, but the biggest downside in my use case (5-year old kids who can hardly read) is no search history, so they can't just click on stuff I've typed before (i.e. abc songs, phonics, coloring, etc), instead seeing the popular videos list as the start screen. Minitube is ideal for them and I wish I could get it working again.

  4. #24
    Join Date
    May 2018
    Beans
    40

    Re: Minitube 32-bit Install Issues

    I saw minitube 3.2 was released, with bugfixes for video issues. Hoping it might solve my video problem on one machine and possibly even segfault on the other, I tried to make it. Both machines cannot make tho, get error about operator[]...


    Code:
    In file included from src/ytvideo.cpp:1:0:
    src/ytvideo.h: In constructor ‘YTVideo::YTVideo(const QString&, QObject*)’:
    src/ytvideo.h:40:10: warning: ‘YTVideo::ageGate’ will be initialized after [-Wreorder]
         bool ageGate;
              ^~~~~~~
    src/ytvideo.h:38:10: warning:   ‘bool YTVideo::loadingStreamUrl’ [-Wreorder]
         bool loadingStreamUrl;
              ^~~~~~~~~~~~~~~~
    src/ytvideo.cpp:19:1: warning:   when initialized here [-Wreorder]
     YTVideo::YTVideo(const QString &videoId, QObject *parent)
     ^~~~~~~
    src/ytvideo.cpp: In lambda function:
    src/ytvideo.cpp:106:38: error: no match for ‘operator[]’ (operand types are ‘const QJsonValue’ and ‘const char [5]’)
                         int itag = format["itag"].toInt();
                                          ^
    src/ytvideo.cpp:107:41: error: no match for ‘operator[]’ (operand types are ‘const QJsonValue’ and ‘const char [4]’)
                         QString url = format["url"].toString();
                                             ^
    src/ytvideo.cpp:109:48: error: no match for ‘operator[]’ (operand types are ‘const QJsonValue’ and ‘const char [7]’)
                             QString cipher = format["cipher"].toString();
                                                    ^
    Makefile:2241: recipe for target 'build/obj/ytvideo.o' failed
    make: *** [build/obj/ytvideo.o] Error 1
    mc4man, if you are able to successfully package it for your ppa, I'd love to try it. (or of course idea for why I can't make). I of course am using librariers/etc from your ppa that did allow me to make version 3.1 without error.
    Last edited by enigma9o7; 4 Weeks Ago at 12:29 AM.

  5. #25
    Join Date
    Jun 2007
    Beans
    17,204

    Re: Minitube 32-bit Install Issues

    Quote Originally Posted by enigma9o7 View Post
    I saw minitube 3.2 was released, with bugfixes for video issues.
    Seems like a qt 5.9 issue from this commit
    If I build 3.2 on 19.10 (qt 5.12) there's no such failure.

    Filed issue, who knows..
    Edit: so gist is 3.2 and up will only work with qt-5.10+, so once 3.1 breaks down the road that's that for 18.04
    (- there are ways for individual users to use higher qt in local ways, nothing I'd care about..
    Last edited by mc4man; 3 Weeks Ago at 09:24 PM.

  6. #26
    Join Date
    May 2018
    Beans
    40

    Re: Minitube 32-bit Install Issues

    I just can't give up. I'm trying to make right now with this: https://launchpad.net/~beineri/+arch...-5.12.0-bionic

    Seems to work. from minitube folder cloned from git, of course after adding mp4man ppa,:
    Code:
    sudo add-apt-repository ppa:beineri/opt-qt-5.12.0-bionic
    sudo apt install qt512-meta-full
    /opt/qt512/bin/qt512-env.sh
    /opt/qt512/bin/qmake "DEFINES += APP_GOOGLE_API_KEY=MyAPIKey"
    make
    I first tried it with the minimal qt512 and got a project error during qmake about x11 module, so used the full instead of figuring out exactly what I needed. Dunno if running the env script is required, as I didnt try it without, but I did have to use the full path for qmake to report version 5.12.
    Last edited by enigma9o7; 3 Weeks Ago at 12:13 AM.

  7. #27
    Join Date
    May 2018
    Beans
    40

    Re: Minitube 32-bit Install Issues

    Unfortunately, 3.2 didn't solve my issues, same behaviour as 3.1. I still get audio but no video on one machine, and segfault after search screen on the other.

Page 3 of 3 FirstFirst 123

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •